Package org.eclipse.jgit.transport

## Enum RemoteRefUpdate.Status

- java.lang.Object
- - java.lang.Enum<RemoteRefUpdate.Status>
  - - org.eclipse.jgit.transport.RemoteRefUpdate.Status

All Implemented Interfaces:
  `Serializable`, `Comparable<RemoteRefUpdate.Status>`

Enclosing class:
  RemoteRefUpdate

    public static enum RemoteRefUpdate.Status
    extends Enum<RemoteRefUpdate.Status>

Represent current status of a remote ref update.

### Enum Constant Summary

Enum Constants
`AWAITING_REPORT` Push process is awaiting update report from remote repository.
`NON_EXISTING` Remote ref didn't exist.
`NOT_ATTEMPTED` Push process hasn't yet attempted to update this ref.
`OK` Remote ref was successfully updated.
`REJECTED_NODELETE` Remote ref update was rejected, because remote side doesn't support/allow deleting refs.
`REJECTED_NONFASTFORWARD` Remote ref update was rejected, as it would cause non fast-forward update.
`REJECTED_OTHER_REASON` Remote ref update was rejected for other reason, possibly described in `RemoteRefUpdate.getMessage()`.
`REJECTED_REMOTE_CHANGED` Remote ref update was rejected, because old object id on remote repository wasn't the same as defined expected old object.
`UP_TO_DATE` Remote ref was up to date, there was no need to update anything.

### Method Summary

All Methods Static Methods Concrete Methods
`static RemoteRefUpdate.Status` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static RemoteRefUpdate.Status[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NOT_ATTEMPTED

    public static final RemoteRefUpdate.Status NOT_ATTEMPTED

Push process hasn't yet attempted to update this ref. This is the default status, prior to push process execution.

#### UP_TO_DATE

    public static final RemoteRefUpdate.Status UP_TO_DATE

Remote ref was up to date, there was no need to update anything.

#### REJECTED_NONFASTFORWARD

    public static final RemoteRefUpdate.Status REJECTED_NONFASTFORWARD

Remote ref update was rejected, as it would cause non fast-forward update.

#### REJECTED_NODELETE

    public static final RemoteRefUpdate.Status REJECTED_NODELETE

Remote ref update was rejected, because remote side doesn't support/allow deleting refs.

#### REJECTED_REMOTE_CHANGED

    public static final RemoteRefUpdate.Status REJECTED_REMOTE_CHANGED

Remote ref update was rejected, because old object id on remote repository wasn't the same as defined expected old object.

#### REJECTED_OTHER_REASON

    public static final RemoteRefUpdate.Status REJECTED_OTHER_REASON

Remote ref update was rejected for other reason, possibly described in `RemoteRefUpdate.getMessage()`.

#### NON_EXISTING

    public static final RemoteRefUpdate.Status NON_EXISTING

Remote ref didn't exist. Can occur on delete request of a non existing ref.

#### AWAITING_REPORT

    public static final RemoteRefUpdate.Status AWAITING_REPORT

Push process is awaiting update report from remote repository. This is a temporary state or state after critical error in push process.

#### OK

    public static final RemoteRefUpdate.Status OK

Remote ref was successfully updated.

### Method Detail

#### values

    public static RemoteRefUpdate.Status[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (RemoteRefUpdate.Status c : RemoteRefUpdate.Status.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static RemoteRefUpdate.Status valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null